/*
Theme Name:   Parsavesta Chid
Theme URI:    https://parsavesta.com
Description:  Parsavesta Chid Theme
Author:       KESHAVARZDEHGHAN
Author URI:   http://parsavesta.com
Template:     hello-elementor
Version:      1.0.0
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
Tags:         light, dark, two-columns, right-sidebar, responsive-layout, accessibility-ready
Text Domain:  parsavesta
*/



/* add custom font to site */

@font-face {
	font-family: IRANYekanX;
	font-style: normal;
	font-weight: 300;
	src: url('font/woff/IRANYekanX-Light.woff') format('woff'),   
	url('font/woff2/IRANYekanX-Light.woff2') format('woff2');		 
}


@font-face {
	font-family: IRANYekanX;
	font-style: normal;
	font-weight: 900;
	src: url('font/woff/IRANYekanX-Black.woff') format('woff'),   
	url('font/woff2/IRANYekanX-Black.woff2') format('woff2');		 
}

@font-face {
	font-family: IRANYekanX;
	font-style: normal;
	font-weight: 950;
	src: url('font/woff/IRANYekanX-ExtraBlack.woff') format('woff'),   
	url('font/woff2/IRANYekanX-ExtraBlack.woff2') format('woff2');		 
}


@font-face {
	font-family: IRANYekanX;
	font-style: normal;
	font-weight: bold;
	src: url('font/woff/IRANYekanX-Bold.woff') format('woff'),   
	url('font/woff2/IRANYekanX-Bold.woff2') format('woff2');	 
}

@font-face {
	font-family: IRANYekanX;
	font-style: normal;
	font-weight: normal;
	src: url('font/woff/IRANYekanX-Regular.woff') format('woff'),   
	url('font/woff2/IRANYekanX-Regular.woff2') format('woff2');	
}

body, h1, h2, h3, h4, h5, h6,input, textarea, a, p {
	font-family: IRANYekanX  !important;
}

/* add custom font to site - end */


/* product category */

.product-category-style .product-category {
    border: 1px solid #00AEEF;
    border-radius: 4px;
}

.product-category-style .woocommerce-loop-category__title {
    position: absolute;
    background-color: white;
    padding: 7px 5px !important;
    border-radius: 4px 0px 0px 4px;
    bottom: 20px;
    white-space: nowrap;
    max-width: 90%;
    overflow: hidden;
    text-overflow: ellipsis;
}

.product-category-style img {
    margin-bottom: 0px !important;
}

.product-category-style .product-category a {
    display: grid;
    margin: 10px;
    transition: all 0.5s ease-in-out;
}

.product-category-style .product-category:hover a {
    display: grid;
    margin: 10px 10px -10px -10px;
}

@media only screen and (max-width: 600px) {
  .product-category-style .woocommerce-loop-category__title {
    padding: 5px 5px !important;
    max-width: 95%;
}
    .product-category-style .product-category a {
    margin: 5px;
}
    .product-category-style .product-category:hover a {
    display: grid;
    margin: 10px 10px -10px -10px;
}
}


/* mask img */

.imgbox-element.elementor-widget-image-box {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
}


.mask-img {
    -webkit-mask-image: url( https://ats33.com/wp-content/uploads/2024/04/shap.svg );
    -webkit-mask-size: contain;
    -webkit-mask-position: center center;
    -webkit-mask-repeat: no-repeat;
}

.mask-img .pars-img {
    transform: scale3d(1, 1, 1);
    transition: transform 650ms ease-in-out, filter 650ms ease-in-out;
}

.mask-img:hover .pars-img {
    transform: scale3d(1.1, 1.1, 1.1);
}


/* form design */

.order-form .wpforms-field-container {
    display: grid;
    gap: 30px;
}

.order-form .wpforms-field-container div:nth-child(2) {
    grid-column: 2 / 3;
}

.order-form .wpforms-field-container div:first-child {
    grid-column: 1 / 2;
}

.order-form .wpforms-field-email {
    grid-row: 2;
    grid-column: 1 / 2;
}

.order-form .wpforms-field-text {
    grid-row: 2;
    grid-column: 2 / 3;
}

.order-form .wpforms-field-textarea {
    grid-row: 3;
    grid-column: 1 / 3;
}

/**/

.hiring-form .wpforms-field-container {
    display: grid;
    gap: 30px;
}
.hiring-form .wpforms-field-container div:first-child {
    grid-column: 1 / 2;
}

.hiring-form .wpforms-field-container div:nth-child(2) {
    grid-column: 2 / 3;
}

.hiring-form .wpforms-field-container div:nth-child(3) {
    grid-row: 2;
    grid-column: 1 / 2;
}

.hiring-form .wpforms-field-container div:nth-child(4) {
    grid-row: 2;
    grid-column: 2 / 3;
}

.hiring-form .wpforms-field-container div:nth-child(5) {
    grid-row: 3;
    grid-column: 1 / 2;
}

.hiring-form .wpforms-field-container div:nth-child(6) {
    grid-row: 3;
    grid-column: 2 / 3;
}

.hiring-form .wpforms-field-container div:nth-child(7) {
    grid-row: 4;
    grid-column: 1 / 3;
}


.hiring-form .wpforms-field-textarea {
    grid-row: 5;
    grid-column: 1 / 3;
}


/**/

.order-form .wpforms-field-row-block {
    padding: 0px !important;
}

.order-form .wpforms-container-full input {
    border: 0px !important;
}

.order-form .wpforms-container-full textarea {
    border: 0px !important;
}

.order-form .wpforms-field {
    padding: 0px !important;
}

.order-form .style-line {
    position: relative;
    display: inline-block;
    width: 100%;
}

.order-form .style-line[class*="icon-"]:before {
    display: block;
    font-size: 20px;
    font-weight: 400;
    position: absolute;
    z-index: 1;
    top: 25px;
    left: 0;
    color: #0081a7;
}

.order-form .line {
    display: block;
    height: 1px !important;
    width: 100% !important;
    position: relative !important;
    background-color: #0081a775 !important;
    transition: right 0.4s ease-in-out;
    z-index: 1;
    bottom: 0px;
}

.order-form .line::before {
    content: "";
    display: block;
    width: 0;
    height: 1px;
    position: absolute;
    left: 0;
    top: 0;
    z-index: 1;
    background-color: #0081a7;
    transition: right 0.4s ease-in-out;
}

.order-form .style-line:hover .line:before {
    width: 100%;
}

.wpforms-field-description {
    margin-top: 0px !important;
}


/* poduct design */

.product img {
    margin-bottom: 0px !important;
    border-radius: 4px;
}

.product h3 {
    background-color: #00aeef;
    transform: translate(0px, -50px);
    color: #fff;
    text-align: center;
    background-image: linear-gradient(#ef4136,#ef4136);
    background-size: 100% 0;
    background-repeat: no-repeat;
    transition: .4s;
}

.product h3:hover {
  background-size: 100% 100%;
}

@media only screen and (max-width: 600px) {
    .woocommerce ul.products li.product, .woocommerce-page ul.products li.product {
    margin: 0 5px !important;
    width: 47%;
   }
}

.pars-products .product {
    margin: 15px !important;
}

/* agencies style */

.parent-logo .pars-logo-right {
    transform: translate(100%);
    z-index: 0;
    transition: all 0.5s ease-in-out;
}

.parent-logo .arrow-box::before {
    content: "\e94e";
    font-family: 'icomoon';
    color: #0e8cfa;
    background-image: url(https://ats33.com/wp-content/uploads/2024/04/arrow-bg1.png);
    background-repeat: no-repeat;
    background-position: center right;
    background-size: contain;
    filter: drop-shadow(2px 4px 6px #0e8cfa);
    font-size: 35px;
    position: absolute;
    display: flex;
    width: 70px;
    height: 100%;
    top: 0;
    bottom: 0;
    right: 99%;
    border-radius: 50px;
    justify-content: center;
    align-items: center;
    z-index: -1;
}

.parent-logo .pars-logo-right:hover::before {
    right: 99%;
}

.parent-logo:hover .pars-logo-right {
    transform: translate(0%);
}

/* left side */

.parent-logo .pars-logo-left {
    transform: translate(-100%);
    z-index: 0;
    transition: all 0.5s ease-in-out;
}

.parent-logo .pars-logo-left.arrow-box::before {
    transform: rotate(180deg);
    left: 100%;
    right: -24%;
}

.parent-logo .pars-logo-left:hover::before {
    left: 99%;
}

.parent-logo:hover .pars-logo-left {
    transform: translate(0%);
}

@media only screen and (max-width: 600px) {
    
    .parent-logo .pars-logo-right, .parent-logo .pars-logo-left {
    transform: translate(0%, -100%);
    z-index: -1;
   }
    
   .parent-logo .arrow-box::before, .parent-logo .pars-logo-left.arrow-box::before {
    width: 55px;
    transform: rotate(-90deg);
    right: 40%;
    left: 0;
    bottom:0;
    top: 65%;
    z-index: 1;
   }

}

/* TEXT DESIGN */

.pars-brand {
    background: #dbdbdb;
    margin: 3px;
    padding: 1px 5px;
    display: inline-block;
}